%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define url_ver		%(echo %{version}|cut -d. -f1,2)

Summary:	NetworkManager VPN integration for openconnect
Name:		networkmanager-openconnect
Version:	1.2.6
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source:		https://download.gnome.org/sources/NetworkManager-openconnect/%{url_ver}/NetworkManager-openconnect-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) > 2.91.4
BuildRequires:	pkgconfig(libnma) >= %{nmversion}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openconnect)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	intltool
BuildRequires:	gettext
Requires:	openconnect
Obsoletes:	openconnect-nm-auth-dialog

%description
This package contains software for integrating the openconnect VPN software
with NetworkManager

%prep
%setup -q -n NetworkManager-openconnect-%{version}
%autopatch -p1

%build
%configure \
    --disable-static \
    --without-libnm-glib \
    --with-gnome \
    --with-authdlg \
    --disable-more-warnings
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang NetworkManager-openconnect

%pre
%{_sbindir}/groupadd -r nm-openconnect &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d / -M \
                     -c 'NetworkManager user for OpenConnect' \
                     -g nm-openconnect nm-openconnect &>/dev/null || :

%files -f NetworkManager-openconnect.lang
%doc AUTHORS ChangeLog COPYING
%{_libdir}/NetworkManager/lib*.so*
%{_usr}/lib/NetworkManager/VPN/nm-openconnect-service.name
%{_libexecdir}/nm-openconnect-auth-dialog
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-openconnect-service.conf
%{_libexecdir}/nm-openconnect-service
%{_libexecdir}/nm-openconnect-service-openconnect-helper
%{_datadir}/appdata/network-manager-openconnect.metainfo.xml
%{_datadir}/gnome-vpn-properties/openconnect


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.2.6-2.mga8
+ Revision: 1528023
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Aug 07 2019 ovitters <ovitters> 1.2.6-1.mga8
+ Revision: 1427919
- new version 1.2.6

* Fri Aug 02 2019 wally <wally> 1.2.4-5.mga8
+ Revision: 1426935
- build without legacy libnm-glib

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-4.mga7
+ Revision: 1299725
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 guillomovitch <guillomovitch> 1.2.4-3.mga7
+ Revision: 1241140
- rebuild for latest networkmanager

* Sun Aug 06 2017 daviddavid <daviddavid> 1.2.4-2.mga7
+ Revision: 1137588
- rebuild for new openconnect 7.08

* Mon Dec 05 2016 ovitters <ovitters> 1.2.4-1.mga6
+ Revision: 1072615
- new version 1.2.4

* Thu May 26 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1018687
- new version 1.2.2

* Thu Apr 21 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1003912
- new version 1.2.0

* Tue Apr 05 2016 ovitters <ovitters> 1.1.93-1.mga6
+ Revision: 998798
- new version 1.1.93

* Tue Mar 29 2016 ovitters <ovitters> 1.1.92-1.mga6
+ Revision: 996333
- new version 1.1.92
- update description

* Tue Mar 01 2016 ovitters <ovitters> 1.1.91-1.mga6
+ Revision: 981544
- new version 1.1.91

* Thu Feb 11 2016 ovitters <ovitters> 1.1.90-1.mga6
+ Revision: 955858
- new version 1.1.90

* Thu Nov 26 2015 ovitters <ovitters> 1.0.8-1.mga6
+ Revision: 906351
- new version 1.0.8
- fix source url

* Mon May 11 2015 tmb <tmb> 1.0.2-2.mga5
+ Revision: 821742
- submit to release

* Thu May 07 2015 shlomif <shlomif> 1.0.2-1.mga5
+ Revision: 821402
- New version 1.0.2 (MGA#15682)

* Thu Feb 05 2015 ovitters <ovitters> 1.0.0-1.mga5
+ Revision: 813579
- new version 1.0.0

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10.0-3.mga5
+ Revision: 743247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10.0-2.mga5
+ Revision: 682869
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 ovitters <ovitters> 0.9.10.0-1.mga5
+ Revision: 650806
- new version 0.9.10.0

* Fri Jul 04 2014 ovitters <ovitters> 0.9.8.6-3.mga5
+ Revision: 643122
- update url

* Wed Mar 19 2014 fwang <fwang> 0.9.8.6-2.mga5
+ Revision: 605507
- rebuild for new openconnect

* Fri Mar 14 2014 ovitters <ovitters> 0.9.8.6-1.mga5
+ Revision: 603835
- new version 0.9.8.6

* Sat Oct 19 2013 umeabot <umeabot> 0.9.8.4-2.mga4
+ Revision: 534667
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 ovitters <ovitters> 0.9.8.4-1.mga4
+ Revision: 478587
- new version 0.9.8.4

* Fri Jun 07 2013 ovitters <ovitters> 0.9.8.2-1.mga4
+ Revision: 440340
- new version 0.9.8.2

* Wed Feb 20 2013 ovitters <ovitters> 0.9.8.0-1.mga3
+ Revision: 399584
- new version 0.9.8.0
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.9.6.2-2.mga3
+ Revision: 337488
- Fix for _libdir != _libexecdir

* Thu Aug 09 2012 ovitters <ovitters> 0.9.6.2-1.mga3
+ Revision: 280161
- new version 0.9.6.2
- new version 0.9.6.0

* Fri Jun 29 2012 ovitters <ovitters> 0.9.5.95-1.mga3
+ Revision: 264906
- br gnome-keyring-1
- new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 0.9.4.0-1.mga2
+ Revision: 225997
- new version 0.9.4.0

* Fri Mar 02 2012 ovitters <ovitters> 0.9.3.995-1.mga2
+ Revision: 216906
- new version 0.9.3.995
- drop patches applied upstream

* Sat Feb 25 2012 guillomovitch <guillomovitch> 0.9.2.0-2.mga2
+ Revision: 214712
- rebuild, fixing openconnect binary path issue (#3950)
+ fwang <fwang>
- new version 0.9.2.0
+ mikala <mikala>
- Update tarball to 0.9.0
- use xz tarball
- drop patch1 (not needed anymore)

* Sun Jul 17 2011 mikala <mikala> 0.8.999-2.mga2
+ Revision: 125266
- Rebuild for openconnect 3.10

* Tue Jun 14 2011 mikala <mikala> 0.8.999-1.mga2
+ Revision: 106250
- Update tarball to 0.8.999
- Fix BuildRequires

* Fri May 06 2011 mikala <mikala> 0.8.4-1.mga1
+ Revision: 95645
- Remove BuildRoot
- set openconnect version to 3.02
- imported package networkmanager-openconnect


* Thu Apr 21 2011 Funda Wang <fwang@mandriva.org> 0.8.4-1mdv2011.0
+ Revision: 656406
- disable warnings
- bump req
- new verison 0.8.4

* Tue Mar 15 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.995-3
+ Revision: 645114
- P0: really build authentication dialogue (GIT)
- P1: fix format not literal warning
- BR openconnect-static-devel for authentication library

* Tue Mar 15 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.995-2
+ Revision: 644985
- obsoletes openconnect-nm-auth-dialog

* Sat Mar 05 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3.995-1
+ Revision: 642111
- update to 0.8.4-beta1

* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-2mdv2011.0
+ Revision: 603025
- dependency on openconnect-nm-auth-dialog

* Wed Nov 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 598377
- import networkmanager-openconnect

